Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Handle pipenv like version restrictions #51370

Merged
merged 3 commits into from Jan 30, 2019

Conversation

@dwoz
Copy link
Contributor

commented Jan 28, 2019

  • This change was cherry-picked from 2018.3

  • We need to handle python_version filters in requirement files in order
    to install cleanly using pip

Tests written?

Yes

Commits signed with GPG?

Yes

We need to handle python_version filters in requirement files in order
to install cleanly using pip
@dwoz dwoz requested a review from Ch3LL Jan 28, 2019
dwoz added 2 commits Jan 30, 2019
@dwoz dwoz requested a review from saltstack/team-core Jan 30, 2019
@dwoz dwoz merged commit 67b7d28 into saltstack:2017.7 Jan 30, 2019
8 of 10 checks passed
8 of 10 checks passed
jenkins/pr/lint Python lint test has failed
Details
jenkins/pr/py2-windows-2016 The py2-windows-2016 job has failed
Details
WIP Ready for review
Details
continuous-integration/jenkins/pr-merge This commit looks good
Details
jenkins/pr/docs The docs job has passed
Details
jenkins/pr/py2-centos-7 The py2-centos-7 job has passed
Details
jenkins/pr/py2-ubuntu-1604 The py2-ubuntu-1604 job has passed
Details
jenkins/pr/py3-centos-7 The py3-centos-7 job has passed
Details
jenkins/pr/py3-ubuntu-1604 The py3-ubuntu-1604 job has passed
Details
jenkins/pr/py3-windows-2016 The py3-windows-2016 job has passed
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.